<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page import="javax.portlet.*"%>
<%@ page import="org.gcube.common.portal.*"%>
<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet"%>
<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui"%>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui"%>
<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme"%>

<portlet:defineObjects />
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<portlet:resourceURL id="findState" var="findState"></portlet:resourceURL>
<script type="text/javascript">
$(document).ready(function(){
	
$( "#country" ).change(function() {
	  $.ajax({
	        url: "${findState}" ,
	        type: 'POST',
	        datatype:'json',
	        data: { 
	                countryName: $("#country").val() 
		      },
	            success: function(data){
	            var content= JSON.parse(data);
	            $('#state').html('');// to clear the previous option
	            $.each(content, function(i, state) {
	                $('#state').append($('<option>').text(state.name).attr('value', state.stateId));
	            });
	        }
	    });
  }); 
});
</script>
<h1>Hello!<br></h1>

<p class="lead">
	You have recently received an invitation from 
	<c:out escapeXml="true" value="${inviteInstance.senderFullName}" /> 
	to join the 
	<a href="/web<c:out escapeXml="true" value="${vreFriendlyURL}" />" target="_blank"><c:out escapeXml="true" value="${vreName}" /></a> Virtual Research Environment.
This invite is valid for the email address: 
 <a href="mailto:<c:out escapeXml="true" value="${inviteInstance.invitedEmail}" />">
 <c:out escapeXml="true" value="${inviteInstance.invitedEmail}" /></a> only. 
 
 <c:choose>
    <c:when test="${empty invitedUser}">
         var1 is empty or null.
        <br />
    </c:when>    
    <c:otherwise>
 <p class="lead">
 If you already have a <a href="http://www.d4science.org" target="_blank">D4Science</a> account click here: <button class="btn btn-large btn-primary" type="button">Accept invite</button>
</p>
    </c:otherwise>
</c:choose>
 
</p>

<br>
<c:out escapeXml="true" value="${inviteInstance} " />


<b>Change the Country State Change By Ajax</b>
<br>
<br>
Country:
<select id="country" name="country">
	<option value="select">Select Country</option>
	<option value="india">India</option>
	<option value="usa">USA</option>
</select>

<br>
<br>
State:
<select id="state" name="state">
</select>